Update logged in user using fields structure
Updates the calling user’s profile from a fields-format payload (the same shape returned by GET /me?format=fields). Validation errors are returned in the same fields-format shape so the client can merge them back into the form.
curl --request PUT \
--url 'https://stage-api.findity.com/api/v1/expense/me?format=fields' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"name": null,
"property": "settingInfo",
"controlType": "INFORMATION",
"mandatory": false,
"visible": true,
"value": "You can customize more account settings by logging in to the web UI and go to your personal settings.",
"errorText": null,
"error": null,
"custom": false,
"dismissible": false,
"informationType": "INFORMATION"
},
{
"name": "",
"property": "settings.personalGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"fields": [
{
"name": "First name",
"property": "firstName",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": "EndUserFirstName",
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Last name",
"property": "lastName",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": "EndUserLastName",
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Personal ID",
"property": "personalId",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": "",
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Email",
"property": "email",
"controlType": "COMMAND",
"mandatory": false,
"visible": true,
"value": "test.user@example.com",
"errorText": null,
"error": null,
"custom": false,
"disabled": true,
"accessorIconUrl": "https://api.findity.com/api/images/icons/ic_edit_2.svg",
"accessorText": "Edit email",
"commands": null,
"clientCommand": {
"clientAction": "editEmail",
"entityId": "8ab28cb36b6470b5016b64c39ad502e2"
}
},
{
"name": "Phone number",
"property": "phone",
"controlType": "COMMAND",
"mandatory": false,
"visible": true,
"value": "001000000000000",
"errorText": null,
"error": null,
"custom": false,
"disabled": true,
"accessorIconUrl": "https://api.findity.com/api/images/icons/ic_edit_2.svg",
"accessorText": "Edit phone number",
"commands": null,
"clientCommand": {
"clientAction": "editPhone",
"entityId": "8ab28cb36b6470b5016b64c39ad502e2"
}
},
{
"name": "Street",
"property": "address.street1",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Postal code",
"property": "address.postalCode",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "City",
"property": "address.city",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Country",
"property": "address.country",
"controlType": "LIST",
"mandatory": false,
"visible": true,
"value": "US",
"errorText": null,
"error": null,
"custom": false,
"url": "/me/organizations/8a49a1b359cbfe2a0159d551c8d5008b/countries",
"data": {
"iconUrl": null,
"id": "US",
"name": "United States of America",
"section": null
}
},
{
"name": "Change password",
"property": "setting.changePassword",
"controlType": "COMMAND",
"mandatory": false,
"visible": true,
"value": "Change password",
"errorText": null,
"error": null,
"custom": false,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "settingField.setting.changePassword",
"commands": null,
"clientCommand": {
"clientAction": "openChangePassword",
"url": "/me/password"
}
},
{
"name": "Send in receipts by email",
"property": "setting.emailReceipts",
"controlType": "COMMAND",
"mandatory": false,
"visible": true,
"value": "Send in receipts by email",
"errorText": null,
"error": null,
"custom": false,
"requiresUpdate": true,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "settingField.setting.emailReceipts",
"commands": null,
"clientCommand": {
"clientAction": "createEmail",
"url": "mailto:expense@expense.findity.com"
}
}
],
"commands": null,
"clientCommand": null
},
{
"name": "Bank details",
"property": "settings.bankGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"fields": [
{
"name": "Bank account number",
"property": "bankAccountNumber",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": "000000000000000000000",
"errorText": null,
"error": null,
"custom": false
},
{
"name": "IBAN",
"property": "IBAN",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": "GB000000000000000000",
"errorText": null,
"error": null,
"custom": false,
"requiresUpdate": true
},
{
"name": "BIC",
"property": "BIC",
"controlType": "TEXT",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"requiresUpdate": true
}
],
"commands": null,
"clientCommand": null
},
{
"name": "Experience settings",
"property": "settings.experienceGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"fields": [
{
"name": "Currency",
"property": "homeCurrency",
"controlType": "LIST",
"mandatory": false,
"visible": true,
"value": "EUR",
"errorText": null,
"error": null,
"custom": false,
"url": "/me/organizations/ff808081990936c201990936f7f80174/currencies",
"data": {
"iconUrl": null,
"id": "EUR",
"name": "EUR - Euro",
"section": null
}
},
{
"name": "Language",
"property": "language",
"controlType": "LIST",
"mandatory": false,
"visible": true,
"value": "en_GB",
"errorText": null,
"error": null,
"custom": false,
"url": "/me/organizations/ff808081990936c201990936f7f80174/locales",
"data": {
"iconUrl": null,
"id": "en_GB",
"name": "English",
"section": null
}
},
{
"name": "Region",
"property": "formattingRegion",
"controlType": "LIST",
"mandatory": false,
"visible": true,
"value": "en_GB",
"errorText": null,
"error": null,
"custom": false,
"url": "/me/organizations/ff808081990936c201990936f7f80174/locales?euOnly=true&format=region",
"data": {
"iconUrl": null,
"id": "en_GB",
"name": "English (United Kingdom)",
"section": null
}
}
],
"commands": null,
"clientCommand": null
},
{
"name": "App settings",
"property": "settings.appGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "App settings",
"fields": [
{
"name": "Experience",
"property": "settings.appExperienceGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"fields": [
{
"name": "App theme",
"property": "preferences.app.appTheme",
"controlType": "LIST",
"mandatory": true,
"visible": true,
"value": "light",
"errorText": null,
"error": null,
"custom": false,
"url": "/me/settings/app/themes",
"data": {
"iconUrl": null,
"id": "light",
"name": "Light theme",
"section": null
}
}
],
"commands": null,
"clientCommand": null
},
{
"name": "Expenses",
"property": "settings.appExpenseGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"fields": [
{
"name": "Automatically open camera view for new expenses",
"property": "preferences.app.automaticallyOpenCameraView",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Use AutoPASS for road toll",
"property": "preferences.bompenger.autopassActivated",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
}
],
"commands": null,
"clientCommand": null
},
{
"name": "Prompts",
"property": "settings.appPromptGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"fields": [
{
"name": "Prompt for submit expense report",
"property": "preferences.app.promptForSubmitExpenseReport",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Prompt for submit expense",
"property": "preferences.app.promptForSubmitExpense",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Prompt for approve expense report",
"property": "preferences.app.promptForApproveExpenseReport",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Prompt for approve single expense",
"property": "preferences.app.promptForApproveExpense",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
}
],
"commands": null,
"clientCommand": null
}
],
"commands": null,
"clientCommand": null
},
{
"name": "Notification settings",
"property": "settings.notificationGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "Notification settings",
"fields": [
{
"name": "Notifications",
"property": "settings.notificationNotificationsGroup",
"controlType": "FIELD_GROUP",
"mandatory": false,
"visible": true,
"value": null,
"errorText": null,
"error": null,
"custom": false,
"fields": [
{
"name": "Card transaction notifications",
"property": "preferences.notifications.transactionNotifications",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": false,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Receive all expense-related emails",
"property": "receiveExpenseRelatedEmails",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
},
{
"name": "Attend user surveys",
"property": "attendUserSurveys",
"controlType": "SWITCH",
"mandatory": false,
"visible": true,
"value": true,
"errorText": null,
"error": null,
"custom": false
}
],
"commands": null,
"clientCommand": null
}
],
"commands": null,
"clientCommand": null
},
{
"visible": true,
"custom": false,
"error": null,
"mandatory": false,
"errorText": null,
"requiresUpdate": true,
"clientCommand": null,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"controlType": "FIELD_GROUP",
"name": "Temporary approvers",
"property": "temporaryApprovalGroup",
"fields": [
{
"visible": true,
"custom": false,
"deletable": true,
"error": null,
"mandatory": false,
"errorText": null,
"requiresUpdate": true,
"deleteCommand": {
"confirmation": "settingField.temporaryApprover.removeConfirmation",
"text": "Are you sure you want to remove this temporary approver?",
"confirmationRequired": true,
"command": "action=removeTemporaryApprover&atIndex=0"
},
"clientCommand": null,
"controlType": "FIELD_GROUP",
"name": "settingField.temporaryApprover[0] [1]",
"property": "temporaryApprover[0]",
"fields": [
{
"errorText": null,
"visible": false,
"controlType": "TEXT",
"custom": false,
"name": "",
"property": "temporaryApprover[0].approverId",
"error": null,
"mandatory": false,
"value": "14"
},
{
"errorText": null,
"requiresUpdate": true,
"visible": true,
"controlType": "LIST",
"data": {
"name": "Organization name",
"section": null,
"iconUrl": null,
"id": "ff808081990936c201990936f7f80174"
},
"custom": false,
"name": "Organization",
"property": "temporaryApprover[0].organizationId",
"error": null,
"mandatory": true,
"value": "ff808081990936c201990936f7f80174",
"url": "/me/organizations/approvals"
},
{
"errorText": null,
"visible": true,
"controlType": "LIST",
"data": {
"name": "First and last name of temporary approver",
"section": null,
"iconUrl": null,
"id": "ff808081990936c201990936f81a017c"
},
"custom": false,
"name": "Temporary approver",
"property": "temporaryApprover[0].personId",
"error": null,
"mandatory": true,
"value": "ff808081990936c201990936f81a017c",
"url": "/me/organizations/ff808081990936c201990936f7f80174/approvals/users"
},
{
"errorText": null,
"visible": true,
"controlType": "DATE",
"custom": false,
"name": "Start date",
"property": "temporaryApprover[0].startDate",
"error": null,
"mandatory": true,
"value": "2025-09-02T06:57:01Z"
},
{
"errorText": null,
"visible": true,
"controlType": "DATE",
"custom": false,
"name": "End date",
"property": "temporaryApprover[0].endDate",
"error": null,
"mandatory": true,
"value": "2025-09-04T06:57:01Z"
}
],
"value": null,
"commands": null
},
{
"visible": true,
"custom": false,
"error": null,
"mandatory": false,
"errorText": null,
"requiresUpdate": true,
"clientCommand": null,
"accessorIconUrl": "https://api.findity.com/api/images/icons/plus.svg",
"controlType": "COMMAND",
"name": "Add temporary approver",
"property": "temporaryApprover.add",
"value": null,
"commands": [
{
"confirmation": null,
"text": null,
"confirmationRequired": false,
"command": "action=addTemporaryApprover&afterIndex=0"
}
]
}
],
"value": null,
"commands": null
}
],
"validationErrors": null
}
'import requests
url = "https://stage-api.findity.com/api/v1/expense/me?format=fields"
payload = {
"fields": [
{
"name": None,
"property": "settingInfo",
"controlType": "INFORMATION",
"mandatory": False,
"visible": True,
"value": "You can customize more account settings by logging in to the web UI and go to your personal settings.",
"errorText": None,
"error": None,
"custom": False,
"dismissible": False,
"informationType": "INFORMATION"
},
{
"name": "",
"property": "settings.personalGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"fields": [
{
"name": "First name",
"property": "firstName",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": "EndUserFirstName",
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Last name",
"property": "lastName",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": "EndUserLastName",
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Personal ID",
"property": "personalId",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": "",
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Email",
"property": "email",
"controlType": "COMMAND",
"mandatory": False,
"visible": True,
"value": "test.user@example.com",
"errorText": None,
"error": None,
"custom": False,
"disabled": True,
"accessorIconUrl": "https://api.findity.com/api/images/icons/ic_edit_2.svg",
"accessorText": "Edit email",
"commands": None,
"clientCommand": {
"clientAction": "editEmail",
"entityId": "8ab28cb36b6470b5016b64c39ad502e2"
}
},
{
"name": "Phone number",
"property": "phone",
"controlType": "COMMAND",
"mandatory": False,
"visible": True,
"value": "001000000000000",
"errorText": None,
"error": None,
"custom": False,
"disabled": True,
"accessorIconUrl": "https://api.findity.com/api/images/icons/ic_edit_2.svg",
"accessorText": "Edit phone number",
"commands": None,
"clientCommand": {
"clientAction": "editPhone",
"entityId": "8ab28cb36b6470b5016b64c39ad502e2"
}
},
{
"name": "Street",
"property": "address.street1",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Postal code",
"property": "address.postalCode",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "City",
"property": "address.city",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Country",
"property": "address.country",
"controlType": "LIST",
"mandatory": False,
"visible": True,
"value": "US",
"errorText": None,
"error": None,
"custom": False,
"url": "/me/organizations/8a49a1b359cbfe2a0159d551c8d5008b/countries",
"data": {
"iconUrl": None,
"id": "US",
"name": "United States of America",
"section": None
}
},
{
"name": "Change password",
"property": "setting.changePassword",
"controlType": "COMMAND",
"mandatory": False,
"visible": True,
"value": "Change password",
"errorText": None,
"error": None,
"custom": False,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "settingField.setting.changePassword",
"commands": None,
"clientCommand": {
"clientAction": "openChangePassword",
"url": "/me/password"
}
},
{
"name": "Send in receipts by email",
"property": "setting.emailReceipts",
"controlType": "COMMAND",
"mandatory": False,
"visible": True,
"value": "Send in receipts by email",
"errorText": None,
"error": None,
"custom": False,
"requiresUpdate": True,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "settingField.setting.emailReceipts",
"commands": None,
"clientCommand": {
"clientAction": "createEmail",
"url": "mailto:expense@expense.findity.com"
}
}
],
"commands": None,
"clientCommand": None
},
{
"name": "Bank details",
"property": "settings.bankGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"fields": [
{
"name": "Bank account number",
"property": "bankAccountNumber",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": "000000000000000000000",
"errorText": None,
"error": None,
"custom": False
},
{
"name": "IBAN",
"property": "IBAN",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": "GB000000000000000000",
"errorText": None,
"error": None,
"custom": False,
"requiresUpdate": True
},
{
"name": "BIC",
"property": "BIC",
"controlType": "TEXT",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"requiresUpdate": True
}
],
"commands": None,
"clientCommand": None
},
{
"name": "Experience settings",
"property": "settings.experienceGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"fields": [
{
"name": "Currency",
"property": "homeCurrency",
"controlType": "LIST",
"mandatory": False,
"visible": True,
"value": "EUR",
"errorText": None,
"error": None,
"custom": False,
"url": "/me/organizations/ff808081990936c201990936f7f80174/currencies",
"data": {
"iconUrl": None,
"id": "EUR",
"name": "EUR - Euro",
"section": None
}
},
{
"name": "Language",
"property": "language",
"controlType": "LIST",
"mandatory": False,
"visible": True,
"value": "en_GB",
"errorText": None,
"error": None,
"custom": False,
"url": "/me/organizations/ff808081990936c201990936f7f80174/locales",
"data": {
"iconUrl": None,
"id": "en_GB",
"name": "English",
"section": None
}
},
{
"name": "Region",
"property": "formattingRegion",
"controlType": "LIST",
"mandatory": False,
"visible": True,
"value": "en_GB",
"errorText": None,
"error": None,
"custom": False,
"url": "/me/organizations/ff808081990936c201990936f7f80174/locales?euOnly=true&format=region",
"data": {
"iconUrl": None,
"id": "en_GB",
"name": "English (United Kingdom)",
"section": None
}
}
],
"commands": None,
"clientCommand": None
},
{
"name": "App settings",
"property": "settings.appGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "App settings",
"fields": [
{
"name": "Experience",
"property": "settings.appExperienceGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"fields": [
{
"name": "App theme",
"property": "preferences.app.appTheme",
"controlType": "LIST",
"mandatory": True,
"visible": True,
"value": "light",
"errorText": None,
"error": None,
"custom": False,
"url": "/me/settings/app/themes",
"data": {
"iconUrl": None,
"id": "light",
"name": "Light theme",
"section": None
}
}
],
"commands": None,
"clientCommand": None
},
{
"name": "Expenses",
"property": "settings.appExpenseGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"fields": [
{
"name": "Automatically open camera view for new expenses",
"property": "preferences.app.automaticallyOpenCameraView",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Use AutoPASS for road toll",
"property": "preferences.bompenger.autopassActivated",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
}
],
"commands": None,
"clientCommand": None
},
{
"name": "Prompts",
"property": "settings.appPromptGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"fields": [
{
"name": "Prompt for submit expense report",
"property": "preferences.app.promptForSubmitExpenseReport",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Prompt for submit expense",
"property": "preferences.app.promptForSubmitExpense",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Prompt for approve expense report",
"property": "preferences.app.promptForApproveExpenseReport",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Prompt for approve single expense",
"property": "preferences.app.promptForApproveExpense",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
}
],
"commands": None,
"clientCommand": None
}
],
"commands": None,
"clientCommand": None
},
{
"name": "Notification settings",
"property": "settings.notificationGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"accessorText": "Notification settings",
"fields": [
{
"name": "Notifications",
"property": "settings.notificationNotificationsGroup",
"controlType": "FIELD_GROUP",
"mandatory": False,
"visible": True,
"value": None,
"errorText": None,
"error": None,
"custom": False,
"fields": [
{
"name": "Card transaction notifications",
"property": "preferences.notifications.transactionNotifications",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": False,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Receive all expense-related emails",
"property": "receiveExpenseRelatedEmails",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
},
{
"name": "Attend user surveys",
"property": "attendUserSurveys",
"controlType": "SWITCH",
"mandatory": False,
"visible": True,
"value": True,
"errorText": None,
"error": None,
"custom": False
}
],
"commands": None,
"clientCommand": None
}
],
"commands": None,
"clientCommand": None
},
{
"visible": True,
"custom": False,
"error": None,
"mandatory": False,
"errorText": None,
"requiresUpdate": True,
"clientCommand": None,
"accessorIconUrl": "https://api.findity.com/api/images/icons/chevron_right.svg",
"controlType": "FIELD_GROUP",
"name": "Temporary approvers",
"property": "temporaryApprovalGroup",
"fields": [
{
"visible": True,
"custom": False,
"deletable": True,
"error": None,
"mandatory": False,
"errorText": None,
"requiresUpdate": True,
"deleteCommand": {
"confirmation": "settingField.temporaryApprover.removeConfirmation",
"text": "Are you sure you want to remove this temporary approver?",
"confirmationRequired": True,
"command": "action=removeTemporaryApprover&atIndex=0"
},
"clientCommand": None,
"controlType": "FIELD_GROUP",
"name": "settingField.temporaryApprover[0] [1]",
"property": "temporaryApprover[0]",
"fields": [
{
"errorText": None,
"visible": False,
"controlType": "TEXT",
"custom": False,
"name": "",
"property": "temporaryApprover[0].approverId",
"error": None,
"mandatory": False,
"value": "14"
},
{
"errorText": None,
"requiresUpdate": True,
"visible": True,
"controlType": "LIST",
"data": {
"name": "Organization name",
"section": None,
"iconUrl": None,
"id": "ff808081990936c201990936f7f80174"
},
"custom": False,
"name": "Organization",
"property": "temporaryApprover[0].organizationId",
"error": None,
"mandatory": True,
"value": "ff808081990936c201990936f7f80174",
"url": "/me/organizations/approvals"
},
{
"errorText": None,
"visible": True,
"controlType": "LIST",
"data": {
"name": "First and last name of temporary approver",
"section": None,
"iconUrl": None,
"id": "ff808081990936c201990936f81a017c"
},
"custom": False,
"name": "Temporary approver",
"property": "temporaryApprover[0].personId",
"error": None,
"mandatory": True,
"value": "ff808081990936c201990936f81a017c",
"url": "/me/organizations/ff808081990936c201990936f7f80174/approvals/users"
},
{
"errorText": None,
"visible": True,
"controlType": "DATE",
"custom": False,
"name": "Start date",
"property": "temporaryApprover[0].startDate",
"error": None,
"mandatory": True,
"value": "2025-09-02T06:57:01Z"
},
{
"errorText": None,
"visible": True,
"controlType": "DATE",
"custom": False,
"name": "End date",
"property": "temporaryApprover[0].endDate",
"error": None,
"mandatory": True,
"value": "2025-09-04T06:57:01Z"
}
],
"value": None,
"commands": None
},
{
"visible": True,
"custom": False,
"error": None,
"mandatory": False,
"errorText": None,
"requiresUpdate": True,
"clientCommand": None,
"accessorIconUrl": "https://api.findity.com/api/images/icons/plus.svg",
"controlType": "COMMAND",
"name": "Add temporary approver",
"property": "temporaryApprover.add",
"value": None,
"commands": [
{
"confirmation": None,
"text": None,
"confirmationRequired": False,
"command": "action=addTemporaryApprover&afterIndex=0"
}
]
}
],
"value": None,
"commands": None
}
],
"validationErrors": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [
{
name: null,
property: 'settingInfo',
controlType: 'INFORMATION',
mandatory: false,
visible: true,
value: 'You can customize more account settings by logging in to the web UI and go to your personal settings.',
errorText: null,
error: null,
custom: false,
dismissible: false,
informationType: 'INFORMATION'
},
{
name: '',
property: 'settings.personalGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
fields: [
{
name: 'First name',
property: 'firstName',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: 'EndUserFirstName',
errorText: null,
error: null,
custom: false
},
{
name: 'Last name',
property: 'lastName',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: 'EndUserLastName',
errorText: null,
error: null,
custom: false
},
{
name: 'Personal ID',
property: 'personalId',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: '',
errorText: null,
error: null,
custom: false
},
{
name: 'Email',
property: 'email',
controlType: 'COMMAND',
mandatory: false,
visible: true,
value: 'test.user@example.com',
errorText: null,
error: null,
custom: false,
disabled: true,
accessorIconUrl: 'https://api.findity.com/api/images/icons/ic_edit_2.svg',
accessorText: 'Edit email',
commands: null,
clientCommand: {clientAction: 'editEmail', entityId: '8ab28cb36b6470b5016b64c39ad502e2'}
},
{
name: 'Phone number',
property: 'phone',
controlType: 'COMMAND',
mandatory: false,
visible: true,
value: '001000000000000',
errorText: null,
error: null,
custom: false,
disabled: true,
accessorIconUrl: 'https://api.findity.com/api/images/icons/ic_edit_2.svg',
accessorText: 'Edit phone number',
commands: null,
clientCommand: {clientAction: 'editPhone', entityId: '8ab28cb36b6470b5016b64c39ad502e2'}
},
{
name: 'Street',
property: 'address.street1',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false
},
{
name: 'Postal code',
property: 'address.postalCode',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false
},
{
name: 'City',
property: 'address.city',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false
},
{
name: 'Country',
property: 'address.country',
controlType: 'LIST',
mandatory: false,
visible: true,
value: 'US',
errorText: null,
error: null,
custom: false,
url: '/me/organizations/8a49a1b359cbfe2a0159d551c8d5008b/countries',
data: {iconUrl: null, id: 'US', name: 'United States of America', section: null}
},
{
name: 'Change password',
property: 'setting.changePassword',
controlType: 'COMMAND',
mandatory: false,
visible: true,
value: 'Change password',
errorText: null,
error: null,
custom: false,
accessorIconUrl: 'https://api.findity.com/api/images/icons/chevron_right.svg',
accessorText: 'settingField.setting.changePassword',
commands: null,
clientCommand: {clientAction: 'openChangePassword', url: '/me/password'}
},
{
name: 'Send in receipts by email',
property: 'setting.emailReceipts',
controlType: 'COMMAND',
mandatory: false,
visible: true,
value: 'Send in receipts by email',
errorText: null,
error: null,
custom: false,
requiresUpdate: true,
accessorIconUrl: 'https://api.findity.com/api/images/icons/chevron_right.svg',
accessorText: 'settingField.setting.emailReceipts',
commands: null,
clientCommand: {clientAction: 'createEmail', url: 'mailto:expense@expense.findity.com'}
}
],
commands: null,
clientCommand: null
},
{
name: 'Bank details',
property: 'settings.bankGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
fields: [
{
name: 'Bank account number',
property: 'bankAccountNumber',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: '000000000000000000000',
errorText: null,
error: null,
custom: false
},
{
name: 'IBAN',
property: 'IBAN',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: 'GB000000000000000000',
errorText: null,
error: null,
custom: false,
requiresUpdate: true
},
{
name: 'BIC',
property: 'BIC',
controlType: 'TEXT',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
requiresUpdate: true
}
],
commands: null,
clientCommand: null
},
{
name: 'Experience settings',
property: 'settings.experienceGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
fields: [
{
name: 'Currency',
property: 'homeCurrency',
controlType: 'LIST',
mandatory: false,
visible: true,
value: 'EUR',
errorText: null,
error: null,
custom: false,
url: '/me/organizations/ff808081990936c201990936f7f80174/currencies',
data: {iconUrl: null, id: 'EUR', name: 'EUR - Euro', section: null}
},
{
name: 'Language',
property: 'language',
controlType: 'LIST',
mandatory: false,
visible: true,
value: 'en_GB',
errorText: null,
error: null,
custom: false,
url: '/me/organizations/ff808081990936c201990936f7f80174/locales',
data: {iconUrl: null, id: 'en_GB', name: 'English', section: null}
},
{
name: 'Region',
property: 'formattingRegion',
controlType: 'LIST',
mandatory: false,
visible: true,
value: 'en_GB',
errorText: null,
error: null,
custom: false,
url: '/me/organizations/ff808081990936c201990936f7f80174/locales?euOnly=true&format=region',
data: {iconUrl: null, id: 'en_GB', name: 'English (United Kingdom)', section: null}
}
],
commands: null,
clientCommand: null
},
{
name: 'App settings',
property: 'settings.appGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
accessorIconUrl: 'https://api.findity.com/api/images/icons/chevron_right.svg',
accessorText: 'App settings',
fields: [
{
name: 'Experience',
property: 'settings.appExperienceGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
fields: [
{
name: 'App theme',
property: 'preferences.app.appTheme',
controlType: 'LIST',
mandatory: true,
visible: true,
value: 'light',
errorText: null,
error: null,
custom: false,
url: '/me/settings/app/themes',
data: {iconUrl: null, id: 'light', name: 'Light theme', section: null}
}
],
commands: null,
clientCommand: null
},
{
name: 'Expenses',
property: 'settings.appExpenseGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
fields: [
{
name: 'Automatically open camera view for new expenses',
property: 'preferences.app.automaticallyOpenCameraView',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
},
{
name: 'Use AutoPASS for road toll',
property: 'preferences.bompenger.autopassActivated',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
}
],
commands: null,
clientCommand: null
},
{
name: 'Prompts',
property: 'settings.appPromptGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
fields: [
{
name: 'Prompt for submit expense report',
property: 'preferences.app.promptForSubmitExpenseReport',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
},
{
name: 'Prompt for submit expense',
property: 'preferences.app.promptForSubmitExpense',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
},
{
name: 'Prompt for approve expense report',
property: 'preferences.app.promptForApproveExpenseReport',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
},
{
name: 'Prompt for approve single expense',
property: 'preferences.app.promptForApproveExpense',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
}
],
commands: null,
clientCommand: null
}
],
commands: null,
clientCommand: null
},
{
name: 'Notification settings',
property: 'settings.notificationGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
accessorIconUrl: 'https://api.findity.com/api/images/icons/chevron_right.svg',
accessorText: 'Notification settings',
fields: [
{
name: 'Notifications',
property: 'settings.notificationNotificationsGroup',
controlType: 'FIELD_GROUP',
mandatory: false,
visible: true,
value: null,
errorText: null,
error: null,
custom: false,
fields: [
{
name: 'Card transaction notifications',
property: 'preferences.notifications.transactionNotifications',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: false,
errorText: null,
error: null,
custom: false
},
{
name: 'Receive all expense-related emails',
property: 'receiveExpenseRelatedEmails',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
},
{
name: 'Attend user surveys',
property: 'attendUserSurveys',
controlType: 'SWITCH',
mandatory: false,
visible: true,
value: true,
errorText: null,
error: null,
custom: false
}
],
commands: null,
clientCommand: null
}
],
commands: null,
clientCommand: null
},
{
visible: true,
custom: false,
error: null,
mandatory: false,
errorText: null,
requiresUpdate: true,
clientCommand: null,
accessorIconUrl: 'https://api.findity.com/api/images/icons/chevron_right.svg',
controlType: 'FIELD_GROUP',
name: 'Temporary approvers',
property: 'temporaryApprovalGroup',
fields: [
{
visible: true,
custom: false,
deletable: true,
error: null,
mandatory: false,
errorText: null,
requiresUpdate: true,
deleteCommand: {
confirmation: 'settingField.temporaryApprover.removeConfirmation',
text: 'Are you sure you want to remove this temporary approver?',
confirmationRequired: true,
command: 'action=removeTemporaryApprover&atIndex=0'
},
clientCommand: null,
controlType: 'FIELD_GROUP',
name: 'settingField.temporaryApprover[0] [1]',
property: 'temporaryApprover[0]',
fields: [
{
errorText: null,
visible: false,
controlType: 'TEXT',
custom: false,
name: '',
property: 'temporaryApprover[0].approverId',
error: null,
mandatory: false,
value: '14'
},
{
errorText: null,
requiresUpdate: true,
visible: true,
controlType: 'LIST',
data: {
name: 'Organization name',
section: null,
iconUrl: null,
id: 'ff808081990936c201990936f7f80174'
},
custom: false,
name: 'Organization',
property: 'temporaryApprover[0].organizationId',
error: null,
mandatory: true,
value: 'ff808081990936c201990936f7f80174',
url: '/me/organizations/approvals'
},
{
errorText: null,
visible: true,
controlType: 'LIST',
data: {
name: 'First and last name of temporary approver',
section: null,
iconUrl: null,
id: 'ff808081990936c201990936f81a017c'
},
custom: false,
name: 'Temporary approver',
property: 'temporaryApprover[0].personId',
error: null,
mandatory: true,
value: 'ff808081990936c201990936f81a017c',
url: '/me/organizations/ff808081990936c201990936f7f80174/approvals/users'
},
{
errorText: null,
visible: true,
controlType: 'DATE',
custom: false,
name: 'Start date',
property: 'temporaryApprover[0].startDate',
error: null,
mandatory: true,
value: '2025-09-02T06:57:01Z'
},
{
errorText: null,
visible: true,
controlType: 'DATE',
custom: false,
name: 'End date',
property: 'temporaryApprover[0].endDate',
error: null,
mandatory: true,
value: '2025-09-04T06:57:01Z'
}
],
value: null,
commands: null
},
{
visible: true,
custom: false,
error: null,
mandatory: false,
errorText: null,
requiresUpdate: true,
clientCommand: null,
accessorIconUrl: 'https://api.findity.com/api/images/icons/plus.svg',
controlType: 'COMMAND',
name: 'Add temporary approver',
property: 'temporaryApprover.add',
value: null,
commands: [
{
confirmation: null,
text: null,
confirmationRequired: false,
command: 'action=addTemporaryApprover&afterIndex=0'
}
]
}
],
value: null,
commands: null
}
],
validationErrors: null
})
};
fetch('https://stage-api.findity.com/api/v1/expense/me?format=fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/expense/me?format=fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'fields' => [
[
'name' => null,
'property' => 'settingInfo',
'controlType' => 'INFORMATION',
'mandatory' => false,
'visible' => true,
'value' => 'You can customize more account settings by logging in to the web UI and go to your personal settings.',
'errorText' => null,
'error' => null,
'custom' => false,
'dismissible' => false,
'informationType' => 'INFORMATION'
],
[
'name' => '',
'property' => 'settings.personalGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'fields' => [
[
'name' => 'First name',
'property' => 'firstName',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => 'EndUserFirstName',
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Last name',
'property' => 'lastName',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => 'EndUserLastName',
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Personal ID',
'property' => 'personalId',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => '',
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Email',
'property' => 'email',
'controlType' => 'COMMAND',
'mandatory' => false,
'visible' => true,
'value' => 'test.user@example.com',
'errorText' => null,
'error' => null,
'custom' => false,
'disabled' => true,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/ic_edit_2.svg',
'accessorText' => 'Edit email',
'commands' => null,
'clientCommand' => [
'clientAction' => 'editEmail',
'entityId' => '8ab28cb36b6470b5016b64c39ad502e2'
]
],
[
'name' => 'Phone number',
'property' => 'phone',
'controlType' => 'COMMAND',
'mandatory' => false,
'visible' => true,
'value' => '001000000000000',
'errorText' => null,
'error' => null,
'custom' => false,
'disabled' => true,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/ic_edit_2.svg',
'accessorText' => 'Edit phone number',
'commands' => null,
'clientCommand' => [
'clientAction' => 'editPhone',
'entityId' => '8ab28cb36b6470b5016b64c39ad502e2'
]
],
[
'name' => 'Street',
'property' => 'address.street1',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Postal code',
'property' => 'address.postalCode',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'City',
'property' => 'address.city',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Country',
'property' => 'address.country',
'controlType' => 'LIST',
'mandatory' => false,
'visible' => true,
'value' => 'US',
'errorText' => null,
'error' => null,
'custom' => false,
'url' => '/me/organizations/8a49a1b359cbfe2a0159d551c8d5008b/countries',
'data' => [
'iconUrl' => null,
'id' => 'US',
'name' => 'United States of America',
'section' => null
]
],
[
'name' => 'Change password',
'property' => 'setting.changePassword',
'controlType' => 'COMMAND',
'mandatory' => false,
'visible' => true,
'value' => 'Change password',
'errorText' => null,
'error' => null,
'custom' => false,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/chevron_right.svg',
'accessorText' => 'settingField.setting.changePassword',
'commands' => null,
'clientCommand' => [
'clientAction' => 'openChangePassword',
'url' => '/me/password'
]
],
[
'name' => 'Send in receipts by email',
'property' => 'setting.emailReceipts',
'controlType' => 'COMMAND',
'mandatory' => false,
'visible' => true,
'value' => 'Send in receipts by email',
'errorText' => null,
'error' => null,
'custom' => false,
'requiresUpdate' => true,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/chevron_right.svg',
'accessorText' => 'settingField.setting.emailReceipts',
'commands' => null,
'clientCommand' => [
'clientAction' => 'createEmail',
'url' => 'mailto:expense@expense.findity.com'
]
]
],
'commands' => null,
'clientCommand' => null
],
[
'name' => 'Bank details',
'property' => 'settings.bankGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'fields' => [
[
'name' => 'Bank account number',
'property' => 'bankAccountNumber',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => '000000000000000000000',
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'IBAN',
'property' => 'IBAN',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => 'GB000000000000000000',
'errorText' => null,
'error' => null,
'custom' => false,
'requiresUpdate' => true
],
[
'name' => 'BIC',
'property' => 'BIC',
'controlType' => 'TEXT',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'requiresUpdate' => true
]
],
'commands' => null,
'clientCommand' => null
],
[
'name' => 'Experience settings',
'property' => 'settings.experienceGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'fields' => [
[
'name' => 'Currency',
'property' => 'homeCurrency',
'controlType' => 'LIST',
'mandatory' => false,
'visible' => true,
'value' => 'EUR',
'errorText' => null,
'error' => null,
'custom' => false,
'url' => '/me/organizations/ff808081990936c201990936f7f80174/currencies',
'data' => [
'iconUrl' => null,
'id' => 'EUR',
'name' => 'EUR - Euro',
'section' => null
]
],
[
'name' => 'Language',
'property' => 'language',
'controlType' => 'LIST',
'mandatory' => false,
'visible' => true,
'value' => 'en_GB',
'errorText' => null,
'error' => null,
'custom' => false,
'url' => '/me/organizations/ff808081990936c201990936f7f80174/locales',
'data' => [
'iconUrl' => null,
'id' => 'en_GB',
'name' => 'English',
'section' => null
]
],
[
'name' => 'Region',
'property' => 'formattingRegion',
'controlType' => 'LIST',
'mandatory' => false,
'visible' => true,
'value' => 'en_GB',
'errorText' => null,
'error' => null,
'custom' => false,
'url' => '/me/organizations/ff808081990936c201990936f7f80174/locales?euOnly=true&format=region',
'data' => [
'iconUrl' => null,
'id' => 'en_GB',
'name' => 'English (United Kingdom)',
'section' => null
]
]
],
'commands' => null,
'clientCommand' => null
],
[
'name' => 'App settings',
'property' => 'settings.appGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/chevron_right.svg',
'accessorText' => 'App settings',
'fields' => [
[
'name' => 'Experience',
'property' => 'settings.appExperienceGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'fields' => [
[
'name' => 'App theme',
'property' => 'preferences.app.appTheme',
'controlType' => 'LIST',
'mandatory' => true,
'visible' => true,
'value' => 'light',
'errorText' => null,
'error' => null,
'custom' => false,
'url' => '/me/settings/app/themes',
'data' => [
'iconUrl' => null,
'id' => 'light',
'name' => 'Light theme',
'section' => null
]
]
],
'commands' => null,
'clientCommand' => null
],
[
'name' => 'Expenses',
'property' => 'settings.appExpenseGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'fields' => [
[
'name' => 'Automatically open camera view for new expenses',
'property' => 'preferences.app.automaticallyOpenCameraView',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Use AutoPASS for road toll',
'property' => 'preferences.bompenger.autopassActivated',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
]
],
'commands' => null,
'clientCommand' => null
],
[
'name' => 'Prompts',
'property' => 'settings.appPromptGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'fields' => [
[
'name' => 'Prompt for submit expense report',
'property' => 'preferences.app.promptForSubmitExpenseReport',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Prompt for submit expense',
'property' => 'preferences.app.promptForSubmitExpense',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Prompt for approve expense report',
'property' => 'preferences.app.promptForApproveExpenseReport',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Prompt for approve single expense',
'property' => 'preferences.app.promptForApproveExpense',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
]
],
'commands' => null,
'clientCommand' => null
]
],
'commands' => null,
'clientCommand' => null
],
[
'name' => 'Notification settings',
'property' => 'settings.notificationGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/chevron_right.svg',
'accessorText' => 'Notification settings',
'fields' => [
[
'name' => 'Notifications',
'property' => 'settings.notificationNotificationsGroup',
'controlType' => 'FIELD_GROUP',
'mandatory' => false,
'visible' => true,
'value' => null,
'errorText' => null,
'error' => null,
'custom' => false,
'fields' => [
[
'name' => 'Card transaction notifications',
'property' => 'preferences.notifications.transactionNotifications',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => false,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Receive all expense-related emails',
'property' => 'receiveExpenseRelatedEmails',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
],
[
'name' => 'Attend user surveys',
'property' => 'attendUserSurveys',
'controlType' => 'SWITCH',
'mandatory' => false,
'visible' => true,
'value' => true,
'errorText' => null,
'error' => null,
'custom' => false
]
],
'commands' => null,
'clientCommand' => null
]
],
'commands' => null,
'clientCommand' => null
],
[
'visible' => true,
'custom' => false,
'error' => null,
'mandatory' => false,
'errorText' => null,
'requiresUpdate' => true,
'clientCommand' => null,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/chevron_right.svg',
'controlType' => 'FIELD_GROUP',
'name' => 'Temporary approvers',
'property' => 'temporaryApprovalGroup',
'fields' => [
[
'visible' => true,
'custom' => false,
'deletable' => true,
'error' => null,
'mandatory' => false,
'errorText' => null,
'requiresUpdate' => true,
'deleteCommand' => [
'confirmation' => 'settingField.temporaryApprover.removeConfirmation',
'text' => 'Are you sure you want to remove this temporary approver?',
'confirmationRequired' => true,
'command' => 'action=removeTemporaryApprover&atIndex=0'
],
'clientCommand' => null,
'controlType' => 'FIELD_GROUP',
'name' => 'settingField.temporaryApprover[0] [1]',
'property' => 'temporaryApprover[0]',
'fields' => [
[
'errorText' => null,
'visible' => false,
'controlType' => 'TEXT',
'custom' => false,
'name' => '',
'property' => 'temporaryApprover[0].approverId',
'error' => null,
'mandatory' => false,
'value' => '14'
],
[
'errorText' => null,
'requiresUpdate' => true,
'visible' => true,
'controlType' => 'LIST',
'data' => [
'name' => 'Organization name',
'section' => null,
'iconUrl' => null,
'id' => 'ff808081990936c201990936f7f80174'
],
'custom' => false,
'name' => 'Organization',
'property' => 'temporaryApprover[0].organizationId',
'error' => null,
'mandatory' => true,
'value' => 'ff808081990936c201990936f7f80174',
'url' => '/me/organizations/approvals'
],
[
'errorText' => null,
'visible' => true,
'controlType' => 'LIST',
'data' => [
'name' => 'First and last name of temporary approver',
'section' => null,
'iconUrl' => null,
'id' => 'ff808081990936c201990936f81a017c'
],
'custom' => false,
'name' => 'Temporary approver',
'property' => 'temporaryApprover[0].personId',
'error' => null,
'mandatory' => true,
'value' => 'ff808081990936c201990936f81a017c',
'url' => '/me/organizations/ff808081990936c201990936f7f80174/approvals/users'
],
[
'errorText' => null,
'visible' => true,
'controlType' => 'DATE',
'custom' => false,
'name' => 'Start date',
'property' => 'temporaryApprover[0].startDate',
'error' => null,
'mandatory' => true,
'value' => '2025-09-02T06:57:01Z'
],
[
'errorText' => null,
'visible' => true,
'controlType' => 'DATE',
'custom' => false,
'name' => 'End date',
'property' => 'temporaryApprover[0].endDate',
'error' => null,
'mandatory' => true,
'value' => '2025-09-04T06:57:01Z'
]
],
'value' => null,
'commands' => null
],
[
'visible' => true,
'custom' => false,
'error' => null,
'mandatory' => false,
'errorText' => null,
'requiresUpdate' => true,
'clientCommand' => null,
'accessorIconUrl' => 'https://api.findity.com/api/images/icons/plus.svg',
'controlType' => 'COMMAND',
'name' => 'Add temporary approver',
'property' => 'temporaryApprover.add',
'value' => null,
'commands' => [
[
'confirmation' => null,
'text' => null,
'confirmationRequired' => false,
'command' => 'action=addTemporaryApprover&afterIndex=0'
]
]
]
],
'value' => null,
'commands' => null
]
],
'validationErrors' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/expense/me?format=fields"
payload := strings.NewReader("{\n \"fields\": [\n {\n \"name\": null,\n \"property\": \"settingInfo\",\n \"controlType\": \"INFORMATION\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"You can customize more account settings by logging in to the web UI and go to your personal settings.\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"dismissible\": false,\n \"informationType\": \"INFORMATION\"\n },\n {\n \"name\": \"\",\n \"property\": \"settings.personalGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"First name\",\n \"property\": \"firstName\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EndUserFirstName\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Last name\",\n \"property\": \"lastName\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EndUserLastName\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Personal ID\",\n \"property\": \"personalId\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Email\",\n \"property\": \"email\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"test.user@example.com\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"disabled\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/ic_edit_2.svg\",\n \"accessorText\": \"Edit email\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"editEmail\",\n \"entityId\": \"8ab28cb36b6470b5016b64c39ad502e2\"\n }\n },\n {\n \"name\": \"Phone number\",\n \"property\": \"phone\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"001000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"disabled\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/ic_edit_2.svg\",\n \"accessorText\": \"Edit phone number\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"editPhone\",\n \"entityId\": \"8ab28cb36b6470b5016b64c39ad502e2\"\n }\n },\n {\n \"name\": \"Street\",\n \"property\": \"address.street1\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Postal code\",\n \"property\": \"address.postalCode\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"City\",\n \"property\": \"address.city\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Country\",\n \"property\": \"address.country\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"US\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/8a49a1b359cbfe2a0159d551c8d5008b/countries\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"US\",\n \"name\": \"United States of America\",\n \"section\": null\n }\n },\n {\n \"name\": \"Change password\",\n \"property\": \"setting.changePassword\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"Change password\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"settingField.setting.changePassword\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"openChangePassword\",\n \"url\": \"/me/password\"\n }\n },\n {\n \"name\": \"Send in receipts by email\",\n \"property\": \"setting.emailReceipts\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"Send in receipts by email\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"settingField.setting.emailReceipts\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"createEmail\",\n \"url\": \"mailto:expense@expense.findity.com\"\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Bank details\",\n \"property\": \"settings.bankGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Bank account number\",\n \"property\": \"bankAccountNumber\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"000000000000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"IBAN\",\n \"property\": \"IBAN\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"GB000000000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true\n },\n {\n \"name\": \"BIC\",\n \"property\": \"BIC\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Experience settings\",\n \"property\": \"settings.experienceGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Currency\",\n \"property\": \"homeCurrency\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EUR\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/currencies\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"EUR\",\n \"name\": \"EUR - Euro\",\n \"section\": null\n }\n },\n {\n \"name\": \"Language\",\n \"property\": \"language\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"en_GB\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/locales\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"en_GB\",\n \"name\": \"English\",\n \"section\": null\n }\n },\n {\n \"name\": \"Region\",\n \"property\": \"formattingRegion\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"en_GB\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/locales?euOnly=true&format=region\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"en_GB\",\n \"name\": \"English (United Kingdom)\",\n \"section\": null\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"App settings\",\n \"property\": \"settings.appGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"App settings\",\n \"fields\": [\n {\n \"name\": \"Experience\",\n \"property\": \"settings.appExperienceGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"App theme\",\n \"property\": \"preferences.app.appTheme\",\n \"controlType\": \"LIST\",\n \"mandatory\": true,\n \"visible\": true,\n \"value\": \"light\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/settings/app/themes\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"light\",\n \"name\": \"Light theme\",\n \"section\": null\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Expenses\",\n \"property\": \"settings.appExpenseGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Automatically open camera view for new expenses\",\n \"property\": \"preferences.app.automaticallyOpenCameraView\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Use AutoPASS for road toll\",\n \"property\": \"preferences.bompenger.autopassActivated\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Prompts\",\n \"property\": \"settings.appPromptGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Prompt for submit expense report\",\n \"property\": \"preferences.app.promptForSubmitExpenseReport\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for submit expense\",\n \"property\": \"preferences.app.promptForSubmitExpense\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for approve expense report\",\n \"property\": \"preferences.app.promptForApproveExpenseReport\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for approve single expense\",\n \"property\": \"preferences.app.promptForApproveExpense\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Notification settings\",\n \"property\": \"settings.notificationGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"Notification settings\",\n \"fields\": [\n {\n \"name\": \"Notifications\",\n \"property\": \"settings.notificationNotificationsGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Card transaction notifications\",\n \"property\": \"preferences.notifications.transactionNotifications\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": false,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Receive all expense-related emails\",\n \"property\": \"receiveExpenseRelatedEmails\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Attend user surveys\",\n \"property\": \"attendUserSurveys\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"visible\": true,\n \"custom\": false,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"clientCommand\": null,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"controlType\": \"FIELD_GROUP\",\n \"name\": \"Temporary approvers\",\n \"property\": \"temporaryApprovalGroup\",\n \"fields\": [\n {\n \"visible\": true,\n \"custom\": false,\n \"deletable\": true,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"deleteCommand\": {\n \"confirmation\": \"settingField.temporaryApprover.removeConfirmation\",\n \"text\": \"Are you sure you want to remove this temporary approver?\",\n \"confirmationRequired\": true,\n \"command\": \"action=removeTemporaryApprover&atIndex=0\"\n },\n \"clientCommand\": null,\n \"controlType\": \"FIELD_GROUP\",\n \"name\": \"settingField.temporaryApprover[0] [1]\",\n \"property\": \"temporaryApprover[0]\",\n \"fields\": [\n {\n \"errorText\": null,\n \"visible\": false,\n \"controlType\": \"TEXT\",\n \"custom\": false,\n \"name\": \"\",\n \"property\": \"temporaryApprover[0].approverId\",\n \"error\": null,\n \"mandatory\": false,\n \"value\": \"14\"\n },\n {\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"visible\": true,\n \"controlType\": \"LIST\",\n \"data\": {\n \"name\": \"Organization name\",\n \"section\": null,\n \"iconUrl\": null,\n \"id\": \"ff808081990936c201990936f7f80174\"\n },\n \"custom\": false,\n \"name\": \"Organization\",\n \"property\": \"temporaryApprover[0].organizationId\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"ff808081990936c201990936f7f80174\",\n \"url\": \"/me/organizations/approvals\"\n },\n {\n \"errorText\": null,\n \"visible\": true,\n \"controlType\": \"LIST\",\n \"data\": {\n \"name\": \"First and last name of temporary approver\",\n \"section\": null,\n \"iconUrl\": null,\n \"id\": \"ff808081990936c201990936f81a017c\"\n },\n \"custom\": false,\n \"name\": \"Temporary approver\",\n \"property\": \"temporaryApprover[0].personId\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"ff808081990936c201990936f81a017c\",\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/approvals/users\"\n },\n {\n \"errorText\": null,\n \"visible\": true,\n \"controlType\": \"DATE\",\n \"custom\": false,\n \"name\": \"Start date\",\n \"property\": \"temporaryApprover[0].startDate\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"2025-09-02T06:57:01Z\"\n },\n {\n \"errorText\": null,\n \"visible\": true,\n \"controlType\": \"DATE\",\n \"custom\": false,\n \"name\": \"End date\",\n \"property\": \"temporaryApprover[0].endDate\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"2025-09-04T06:57:01Z\"\n }\n ],\n \"value\": null,\n \"commands\": null\n },\n {\n \"visible\": true,\n \"custom\": false,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"clientCommand\": null,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/plus.svg\",\n \"controlType\": \"COMMAND\",\n \"name\": \"Add temporary approver\",\n \"property\": \"temporaryApprover.add\",\n \"value\": null,\n \"commands\": [\n {\n \"confirmation\": null,\n \"text\": null,\n \"confirmationRequired\": false,\n \"command\": \"action=addTemporaryApprover&afterIndex=0\"\n }\n ]\n }\n ],\n \"value\": null,\n \"commands\": null\n }\n ],\n \"validationErrors\": null\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-api.findity.com/api/v1/expense/me?format=fields")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fields\": [\n {\n \"name\": null,\n \"property\": \"settingInfo\",\n \"controlType\": \"INFORMATION\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"You can customize more account settings by logging in to the web UI and go to your personal settings.\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"dismissible\": false,\n \"informationType\": \"INFORMATION\"\n },\n {\n \"name\": \"\",\n \"property\": \"settings.personalGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"First name\",\n \"property\": \"firstName\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EndUserFirstName\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Last name\",\n \"property\": \"lastName\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EndUserLastName\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Personal ID\",\n \"property\": \"personalId\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Email\",\n \"property\": \"email\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"test.user@example.com\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"disabled\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/ic_edit_2.svg\",\n \"accessorText\": \"Edit email\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"editEmail\",\n \"entityId\": \"8ab28cb36b6470b5016b64c39ad502e2\"\n }\n },\n {\n \"name\": \"Phone number\",\n \"property\": \"phone\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"001000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"disabled\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/ic_edit_2.svg\",\n \"accessorText\": \"Edit phone number\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"editPhone\",\n \"entityId\": \"8ab28cb36b6470b5016b64c39ad502e2\"\n }\n },\n {\n \"name\": \"Street\",\n \"property\": \"address.street1\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Postal code\",\n \"property\": \"address.postalCode\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"City\",\n \"property\": \"address.city\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Country\",\n \"property\": \"address.country\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"US\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/8a49a1b359cbfe2a0159d551c8d5008b/countries\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"US\",\n \"name\": \"United States of America\",\n \"section\": null\n }\n },\n {\n \"name\": \"Change password\",\n \"property\": \"setting.changePassword\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"Change password\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"settingField.setting.changePassword\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"openChangePassword\",\n \"url\": \"/me/password\"\n }\n },\n {\n \"name\": \"Send in receipts by email\",\n \"property\": \"setting.emailReceipts\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"Send in receipts by email\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"settingField.setting.emailReceipts\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"createEmail\",\n \"url\": \"mailto:expense@expense.findity.com\"\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Bank details\",\n \"property\": \"settings.bankGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Bank account number\",\n \"property\": \"bankAccountNumber\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"000000000000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"IBAN\",\n \"property\": \"IBAN\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"GB000000000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true\n },\n {\n \"name\": \"BIC\",\n \"property\": \"BIC\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Experience settings\",\n \"property\": \"settings.experienceGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Currency\",\n \"property\": \"homeCurrency\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EUR\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/currencies\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"EUR\",\n \"name\": \"EUR - Euro\",\n \"section\": null\n }\n },\n {\n \"name\": \"Language\",\n \"property\": \"language\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"en_GB\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/locales\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"en_GB\",\n \"name\": \"English\",\n \"section\": null\n }\n },\n {\n \"name\": \"Region\",\n \"property\": \"formattingRegion\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"en_GB\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/locales?euOnly=true&format=region\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"en_GB\",\n \"name\": \"English (United Kingdom)\",\n \"section\": null\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"App settings\",\n \"property\": \"settings.appGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"App settings\",\n \"fields\": [\n {\n \"name\": \"Experience\",\n \"property\": \"settings.appExperienceGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"App theme\",\n \"property\": \"preferences.app.appTheme\",\n \"controlType\": \"LIST\",\n \"mandatory\": true,\n \"visible\": true,\n \"value\": \"light\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/settings/app/themes\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"light\",\n \"name\": \"Light theme\",\n \"section\": null\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Expenses\",\n \"property\": \"settings.appExpenseGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Automatically open camera view for new expenses\",\n \"property\": \"preferences.app.automaticallyOpenCameraView\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Use AutoPASS for road toll\",\n \"property\": \"preferences.bompenger.autopassActivated\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Prompts\",\n \"property\": \"settings.appPromptGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Prompt for submit expense report\",\n \"property\": \"preferences.app.promptForSubmitExpenseReport\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for submit expense\",\n \"property\": \"preferences.app.promptForSubmitExpense\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for approve expense report\",\n \"property\": \"preferences.app.promptForApproveExpenseReport\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for approve single expense\",\n \"property\": \"preferences.app.promptForApproveExpense\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Notification settings\",\n \"property\": \"settings.notificationGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"Notification settings\",\n \"fields\": [\n {\n \"name\": \"Notifications\",\n \"property\": \"settings.notificationNotificationsGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Card transaction notifications\",\n \"property\": \"preferences.notifications.transactionNotifications\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": false,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Receive all expense-related emails\",\n \"property\": \"receiveExpenseRelatedEmails\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Attend user surveys\",\n \"property\": \"attendUserSurveys\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"visible\": true,\n \"custom\": false,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"clientCommand\": null,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"controlType\": \"FIELD_GROUP\",\n \"name\": \"Temporary approvers\",\n \"property\": \"temporaryApprovalGroup\",\n \"fields\": [\n {\n \"visible\": true,\n \"custom\": false,\n \"deletable\": true,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"deleteCommand\": {\n \"confirmation\": \"settingField.temporaryApprover.removeConfirmation\",\n \"text\": \"Are you sure you want to remove this temporary approver?\",\n \"confirmationRequired\": true,\n \"command\": \"action=removeTemporaryApprover&atIndex=0\"\n },\n \"clientCommand\": null,\n \"controlType\": \"FIELD_GROUP\",\n \"name\": \"settingField.temporaryApprover[0] [1]\",\n \"property\": \"temporaryApprover[0]\",\n \"fields\": [\n {\n \"errorText\": null,\n \"visible\": false,\n \"controlType\": \"TEXT\",\n \"custom\": false,\n \"name\": \"\",\n \"property\": \"temporaryApprover[0].approverId\",\n \"error\": null,\n \"mandatory\": false,\n \"value\": \"14\"\n },\n {\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"visible\": true,\n \"controlType\": \"LIST\",\n \"data\": {\n \"name\": \"Organization name\",\n \"section\": null,\n \"iconUrl\": null,\n \"id\": \"ff808081990936c201990936f7f80174\"\n },\n \"custom\": false,\n \"name\": \"Organization\",\n \"property\": \"temporaryApprover[0].organizationId\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"ff808081990936c201990936f7f80174\",\n \"url\": \"/me/organizations/approvals\"\n },\n {\n \"errorText\": null,\n \"visible\": true,\n \"controlType\": \"LIST\",\n \"data\": {\n \"name\": \"First and last name of temporary approver\",\n \"section\": null,\n \"iconUrl\": null,\n \"id\": \"ff808081990936c201990936f81a017c\"\n },\n \"custom\": false,\n \"name\": \"Temporary approver\",\n \"property\": \"temporaryApprover[0].personId\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"ff808081990936c201990936f81a017c\",\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/approvals/users\"\n },\n {\n \"errorText\": null,\n \"visible\": true,\n \"controlType\": \"DATE\",\n \"custom\": false,\n \"name\": \"Start date\",\n \"property\": \"temporaryApprover[0].startDate\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"2025-09-02T06:57:01Z\"\n },\n {\n \"errorText\": null,\n \"visible\": true,\n \"controlType\": \"DATE\",\n \"custom\": false,\n \"name\": \"End date\",\n \"property\": \"temporaryApprover[0].endDate\",\n \"error\": null,\n \"mandatory\": true,\n \"value\": \"2025-09-04T06:57:01Z\"\n }\n ],\n \"value\": null,\n \"commands\": null\n },\n {\n \"visible\": true,\n \"custom\": false,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"clientCommand\": null,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/plus.svg\",\n \"controlType\": \"COMMAND\",\n \"name\": \"Add temporary approver\",\n \"property\": \"temporaryApprover.add\",\n \"value\": null,\n \"commands\": [\n {\n \"confirmation\": null,\n \"text\": null,\n \"confirmationRequired\": false,\n \"command\": \"action=addTemporaryApprover&afterIndex=0\"\n }\n ]\n }\n ],\n \"value\": null,\n \"commands\": null\n }\n ],\n \"validationErrors\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/expense/me?format=fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fields\": [\n {\n \"name\": null,\n \"property\": \"settingInfo\",\n \"controlType\": \"INFORMATION\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"You can customize more account settings by logging in to the web UI and go to your personal settings.\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"dismissible\": false,\n \"informationType\": \"INFORMATION\"\n },\n {\n \"name\": \"\",\n \"property\": \"settings.personalGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"First name\",\n \"property\": \"firstName\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EndUserFirstName\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Last name\",\n \"property\": \"lastName\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EndUserLastName\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Personal ID\",\n \"property\": \"personalId\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Email\",\n \"property\": \"email\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"test.user@example.com\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"disabled\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/ic_edit_2.svg\",\n \"accessorText\": \"Edit email\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"editEmail\",\n \"entityId\": \"8ab28cb36b6470b5016b64c39ad502e2\"\n }\n },\n {\n \"name\": \"Phone number\",\n \"property\": \"phone\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"001000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"disabled\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/ic_edit_2.svg\",\n \"accessorText\": \"Edit phone number\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"editPhone\",\n \"entityId\": \"8ab28cb36b6470b5016b64c39ad502e2\"\n }\n },\n {\n \"name\": \"Street\",\n \"property\": \"address.street1\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Postal code\",\n \"property\": \"address.postalCode\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"City\",\n \"property\": \"address.city\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Country\",\n \"property\": \"address.country\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"US\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/8a49a1b359cbfe2a0159d551c8d5008b/countries\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"US\",\n \"name\": \"United States of America\",\n \"section\": null\n }\n },\n {\n \"name\": \"Change password\",\n \"property\": \"setting.changePassword\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"Change password\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"settingField.setting.changePassword\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"openChangePassword\",\n \"url\": \"/me/password\"\n }\n },\n {\n \"name\": \"Send in receipts by email\",\n \"property\": \"setting.emailReceipts\",\n \"controlType\": \"COMMAND\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"Send in receipts by email\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"settingField.setting.emailReceipts\",\n \"commands\": null,\n \"clientCommand\": {\n \"clientAction\": \"createEmail\",\n \"url\": \"mailto:expense@expense.findity.com\"\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Bank details\",\n \"property\": \"settings.bankGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Bank account number\",\n \"property\": \"bankAccountNumber\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"000000000000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"IBAN\",\n \"property\": \"IBAN\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"GB000000000000000000\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true\n },\n {\n \"name\": \"BIC\",\n \"property\": \"BIC\",\n \"controlType\": \"TEXT\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"requiresUpdate\": true\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Experience settings\",\n \"property\": \"settings.experienceGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Currency\",\n \"property\": \"homeCurrency\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"EUR\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/currencies\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"EUR\",\n \"name\": \"EUR - Euro\",\n \"section\": null\n }\n },\n {\n \"name\": \"Language\",\n \"property\": \"language\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"en_GB\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/locales\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"en_GB\",\n \"name\": \"English\",\n \"section\": null\n }\n },\n {\n \"name\": \"Region\",\n \"property\": \"formattingRegion\",\n \"controlType\": \"LIST\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": \"en_GB\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/organizations/ff808081990936c201990936f7f80174/locales?euOnly=true&format=region\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"en_GB\",\n \"name\": \"English (United Kingdom)\",\n \"section\": null\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"App settings\",\n \"property\": \"settings.appGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"App settings\",\n \"fields\": [\n {\n \"name\": \"Experience\",\n \"property\": \"settings.appExperienceGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"App theme\",\n \"property\": \"preferences.app.appTheme\",\n \"controlType\": \"LIST\",\n \"mandatory\": true,\n \"visible\": true,\n \"value\": \"light\",\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"url\": \"/me/settings/app/themes\",\n \"data\": {\n \"iconUrl\": null,\n \"id\": \"light\",\n \"name\": \"Light theme\",\n \"section\": null\n }\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Expenses\",\n \"property\": \"settings.appExpenseGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Automatically open camera view for new expenses\",\n \"property\": \"preferences.app.automaticallyOpenCameraView\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Use AutoPASS for road toll\",\n \"property\": \"preferences.bompenger.autopassActivated\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Prompts\",\n \"property\": \"settings.appPromptGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Prompt for submit expense report\",\n \"property\": \"preferences.app.promptForSubmitExpenseReport\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for submit expense\",\n \"property\": \"preferences.app.promptForSubmitExpense\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for approve expense report\",\n \"property\": \"preferences.app.promptForApproveExpenseReport\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Prompt for approve single expense\",\n \"property\": \"preferences.app.promptForApproveExpense\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"name\": \"Notification settings\",\n \"property\": \"settings.notificationGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"accessorText\": \"Notification settings\",\n \"fields\": [\n {\n \"name\": \"Notifications\",\n \"property\": \"settings.notificationNotificationsGroup\",\n \"controlType\": \"FIELD_GROUP\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": null,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false,\n \"fields\": [\n {\n \"name\": \"Card transaction notifications\",\n \"property\": \"preferences.notifications.transactionNotifications\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": false,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Receive all expense-related emails\",\n \"property\": \"receiveExpenseRelatedEmails\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n },\n {\n \"name\": \"Attend user surveys\",\n \"property\": \"attendUserSurveys\",\n \"controlType\": \"SWITCH\",\n \"mandatory\": false,\n \"visible\": true,\n \"value\": true,\n \"errorText\": null,\n \"error\": null,\n \"custom\": false\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n }\n ],\n \"commands\": null,\n \"clientCommand\": null\n },\n {\n \"visible\": true,\n \"custom\": false,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"clientCommand\": null,\n \"accessorIconUrl\": \"https://api.findity.com/api/images/icons/chevron_right.svg\",\n \"controlType\": \"FIELD_GROUP\",\n \"name\": \"Temporary approvers\",\n \"property\": \"temporaryApprovalGroup\",\n \"fields\": [\n {\n \"visible\": true,\n \"custom\": false,\n \"deletable\": true,\n \"error\": null,\n \"mandatory\": false,\n \"errorText\": null,\n \"requiresUpdate\": true,\n \"deleteCommand\": {\n \"confirmation\": \"settingField.temporaryApprover.removeConfirmation\",\n \"text\": \"Are you sure you want to remove this temporary approver?\",\n \"confirmationRequired\": true,\n \"command\": \"action=removeTemporaryApprover&atIndex=0\"\n },\n \"clientCommand\": null,\n \"controlType\": \"FIELD_GROUP\",\n \"name\": \"settingField.temporaryApprover[0] [1]\",\n \"property\": \"temporaryApprover[0]\",\n \"fields\": [\n {\n \"errorText\": null,\n \"visible\": false,\n \"controlType\": \"TEXT\",\n \"custom\": false,\n \"name\": \"\
[...]
